Debian Bug report logs - #233044
deborphan: orphaner segfaults on mouse click-n-drag

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Jan De Luyck <jan-bugs@kcore.org>

Date: Mon, 16 Feb 2004 14:33:03 UTC

Severity: normal

Fixed in version dialog/0.9b-20040301-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Peter Palfrader <weasel@debian.org>:
Bug#233044; Package deborphan. Full text and rfc822 format available.

Acknowledgement sent to Jan De Luyck <jan-bugs@kcore.org>:
New Bug report received and forwarded. Copy sent to Peter Palfrader <weasel@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jan De Luyck <jan-bugs@kcore.org>
To: submit@bugs.debian.org
Subject: deborphan: orphaner segfaults on mouse click-n-drag
Date: Mon, 16 Feb 2004 15:24:49 +0100
Package: deborphan
Version: 1.5-17
Severity: normal

When orphaner is opened in an xterm, and you 'click-drag' in the screen
starting from a location where nothing sensible is (e.g not in the list
of packages itself) it causes gibberish to be displayed on the screen
and it crashes back to the console.

The last outputted lines are:
/usr/sbin/orphaner: line 410: 6849 Segmentation fault

dialog returned with exitcode 139



-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.2
Locale: LANG=en_IE@euro, LC_CTYPE=en_IE@euro

Versions of packages deborphan depends on:
ii  libc6                       2.3.2.ds1-11 GNU C Library: Shared libraries an

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#233044; Package deborphan. Full text and rfc822 format available.

Acknowledgement sent to Peter Palfrader <weasel@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 233044@bugs.debian.org (full text, mbox):

From: Peter Palfrader <weasel@debian.org>
To: Jan De Luyck <jan-bugs@kcore.org>, 233044@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#233044: deborphan: orphaner segfaults on mouse click-n-drag
Date: Mon, 16 Feb 2004 20:42:53 +0100
[Message part 1 (text/plain, inline)]
reassign 233044 dialog
thanks

On Mon, 16 Feb 2004, Jan De Luyck wrote:

> Package: deborphan
> Version: 1.5-17
> Severity: normal
> 
> When orphaner is opened in an xterm, and you 'click-drag' in the screen
> starting from a location where nothing sensible is (e.g not in the list
> of packages itself) it causes gibberish to be displayed on the screen
> and it crashes back to the console.
> 
> The last outputted lines are:
> /usr/sbin/orphaner: line 410: 6849 Segmentation fault
> 
> dialog returned with exitcode 139

I can reproduce this with dialog 0.9b-20031207-1:
 dialog --checklist test 17 70 10 postfix-doc main/doc off

After a little bit of random drag and drop it first starts to print
environment variables and segfaults shortly after that.

Peter
-- 
 PGP signed and encrypted  |  .''`.  ** Debian GNU/Linux **
    messages preferred.    | : :' :      The  universal
                           | `. `'      Operating System
 http://www.palfrader.org/ |   `-    http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `deborphan' to `dialog'. Request was from Peter Palfrader <weasel@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jan De Luyck <jan-bugs@kcore.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 233044-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 233044-close@bugs.debian.org
Subject: Bug#233044: fixed in dialog 0.9b-20040301-1
Date: Tue, 02 Mar 2004 16:17:02 -0500
Source: dialog
Source-Version: 0.9b-20040301-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_0.9b-20040301-1.diff.gz
  to pool/main/d/dialog/dialog_0.9b-20040301-1.diff.gz
dialog_0.9b-20040301-1.dsc
  to pool/main/d/dialog/dialog_0.9b-20040301-1.dsc
dialog_0.9b-20040301-1_i386.deb
  to pool/main/d/dialog/dialog_0.9b-20040301-1_i386.deb
dialog_0.9b-20040301.orig.tar.gz
  to pool/main/d/dialog/dialog_0.9b-20040301.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 233044@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue,  2 Mar 2004 19:10:02 +0100
Source: dialog
Binary: dialog
Architecture: source i386
Version: 0.9b-20040301-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 223488 225255 232441 233044
Changes: 
 dialog (0.9b-20040301-1) unstable; urgency=low
 .
   * New upstream release.
   - The interaction between "--default-no" and "--no-cancel" is now
     documented (Closes: #223488).
   - The --default-item option now works with checklist too (Closes: #225255).
   - There are now Ukrainian messages (Closes: #232441).
   - Fixed a segfault problem in checklist (Closes: #233044).
Files: 
 a29dc8dd737d11001efe5c9efb3a668b 596 misc optional dialog_0.9b-20040301-1.dsc
 734e32b5d3864ca4039844a5cd75f650 263843 misc optional dialog_0.9b-20040301.orig.tar.gz
 a94e0276aa573c16a6e2766d66b62cea 7093 misc optional dialog_0.9b-20040301-1.diff.gz
 10f50d47211eeb3ffcba507ee4c612fd 158294 misc optional dialog_0.9b-20040301-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFARM69d9Uuvj7yPNYRAogdAKDFQJeUHwbD/bTkrEjz+LUiS2x4UwCgwWze
pm7LE+0LTXgBKQz7fpYHdhw=
=jrFW
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:00:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.